Bug 63901 - up2date does not estimate package size correctly if sources are included
up2date does not estimate package size correctly if sources are included
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.3
i386 Linux
low Severity low
: ---
: ---
Assigned To: Bret McMillan
Jay Turner
:
Depends On:
Blocks: 120092
  Show dependency treegraph
 
Reported: 2002-04-21 03:08 EDT by greg hosler
Modified: 2015-01-07 18:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 11:01:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description greg hosler 2002-04-21 03:08:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020401

Description of problem:
in the rhn configuration, I clicked "d/l source" - and up2date does infact
automatically retriend the src.rpm - however in the "Available Package Updates"
panel where it lists the total package size ("Total size of selected packages",
it only includes the binary rpm package estimates.

If an administrator uses the size there to see if he has enough disk space in
the partition that will hold the retrievced packages, he will be misled.

I would recommend that there be some indication of total space needed to include
the src rpms for those that clicked the "download sources".



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Click "download sources" in rhn registration
2. run up2date, select packages, view size needed in the Available Package
Updates panel.
3.
	

Actual Results:  total size does not incluse sources

Expected Results:  Total size should include sources. Optionally there should be
a breakdown of binaries, sources, and grand total.

Additional info:
Comment 1 Adrian Likins 2002-04-23 15:48:53 EDT
Hmm, yeah. Grumble. Thats broke.

Looking into a fix.
Comment 2 John Thacker 2006-04-22 11:01:47 EDT
up2date is no longer shipped with Fedora Core; it's functionality 
has been replaced by pup, found in the pirut package.  The only fixes 
likely to be made to up2date in RedHat Linux and earlier Fedora Core 
versions are security fixes by Fedora Legacy.  This does not seem to 
be a security bug, so I'm closing it.

If the problem is appropriate to RHEL and occurs to a user there, it 
can be filed as such.

Note You need to log in before you can comment on or make changes to this bug.